<template>
  <div>
    <div class="time-line__element">
      <TimeLineElementImage
        :priority="timeLine.priority"
        :altText="timeLine.title"
        :image-url="timeLine.imgUrl"
      />
      <TimeLineElementDescription
        :title="timeLine.title"
        :text="timeLine.text"
        :experience="timeLine.experience"
        :links="timeLine.links"
      />
    </div>
    <span class="time-line__element-date time-line__element-date_top">{{date}}</span>
  </div>
</template>

<script>
import TimeLineElementDescription from "./TimeLineElementDescription.vue";
import TimeLineElementImage from "./TimeLineElementImage.vue";
import { DateTime } from "luxon";

export default {
  name: "TimeLineElement",
  props: {
    timeLine: Object
  },
  components: {
    TimeLineElementImage,
    TimeLineElementDescription
  },
  computed: {
    date: function() {
      return DateTime.fromFormat(
        this.timeLine.date,
        "dd.MM.yyyy"
      ).toLocaleString({ month: "2-digit", year: "numeric" });
    }
  }
};
</script>




<style scoped lang="scss">
@import "~/assets/scss/_variables.scss";
@import "~/assets/scss/_mixins.scss";
</style>